Bug 1793628 - User with cluster -reader role can't access metrics using `oc adm top <nodes>`
Summary: User with cluster -reader role can't access metrics using `oc adm top <nodes>`
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.11.z
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1723662
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-21 17:30 UTC by Sergiusz Urbaniak
Modified: 2020-02-24 07:31 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Currently users having a binding against the cluster-reader role do not have the permission to view node or pod metrics, i.e. using `oc top node`. This is now fixed.
Clone Of: 1723662
Environment:
Last Closed: 2020-02-19 19:53:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 12081 0 None closed metrics_server: add nodes resource to aggregated-metrics-reader 2020-12-11 01:44:52 UTC
Red Hat Product Errata RHBA-2020:0402 0 None None None 2020-02-19 19:53:57 UTC

Comment 6 errata-xmlrpc 2020-02-19 19:53:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0402


Note You need to log in before you can comment on or make changes to this bug.